package com.gamedog.vididin.feature.home.repository


import com.gamedog.vididin.feature.home.api.YoutubeApi
import com.gamedog.vididin.main.fragments.home.YoutubeDataSource
import retrofit2.Retrofit
import retrofit2.http.Query
import javax.inject.Inject
import javax.inject.Singleton


@Singleton
class DefaultYoutubeDatasource @Inject constructor(retrofit: Retrofit) : YoutubeDataSource {
    private val shopApi = retrofit.create(YoutubeApi::class.java)


    override suspend fun getChannels(
    ) = shopApi.getChannelList()

    override suspend fun getVideoList(lastVideoId: String?) = shopApi.getVideoList(video = lastVideoId)

}